import { Region, RegionOptions } from '../../base/Region';
import { LinkSubTableRegion } from './LinkSubTableRegion';
export type DataGroup2DRegionOptions = RegionOptions & {
    parent?: LinkSubTableRegion;
};
export declare class DataGroup2DRegion extends Region {
    type: "dataGroup2D";
    parent?: LinkSubTableRegion;
    constructor(options: DataGroup2DRegionOptions);
    get subFieldKey(): string;
    get linkFieldKey(): string;
    get subValuePath(): string;
    get linkValuePath(): string;
    remove(): void;
}
